Skip to main content
GET
/
runners
/
runs
/
{runId}
Get run status
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/runners/runs/{runId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "runnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "queued",
    "triggerType": "cron",
    "triggerContext": {},
    "inputValues": {},
    "outputText": "<string>",
    "errorMessage": "<string>",
    "errorCode": "<string>",
    "tokensUsed": 123,
    "estimatedCost": 123,
    "durationMs": 123,
    "toolsUsed": [
      "<string>"
    ],
    "outputTargetsWritten": [
      "<string>"
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Path Parameters

runId
string<uuid>
required

The run ID returned from the trigger endpoint

Response

Run details

success
boolean
required
data
object